
QGIS Application - Bug report #20511

QGIS 3.4.1 crashes when closing

2018-11-15 09:38 PM - Jan Macura

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28331

Description

User Feedback

Everything was fine, project  was saved, I just wanted to close the QGIS window by the standard close button in the upper right corner...

Report Details

Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2018-11-16 08:36 AM - Jürgen Fischer

- Resolution set to duplicate
- Status changed from Open to Closed

#2 - 2018-11-16 08:37 AM - Jürgen Fischer

- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added
